#include  <pic18.h>
#include	<string.h>
#include	"misc.h"

// Rckgabepuffer fr INT -> ASCII-Wandlung
char outpbuf [9];

// Systemticker
long bank1 Timerticks = 0;

/***************************************************************************************************************
 *
 * Systemticker erhhen
 *
 ***************************************************************************************************************/
void Systemticker (void)
 {
  Timerticks++;
 }

/***************************************************************************************************************
 *
 * Systemticker auslesen
 *
 ***************************************************************************************************************/
long Get_Ticker (void)
 {
  return (Timerticks);
 }

/***************************************************************************************************************
 *
 * Integer nach String umwandeln
 *
 ***************************************************************************************************************/
char* inttostr (unsigned int wert)
 {
   unsigned short ad,rest;
   char step;

   memset (outpbuf,0,9);	                    // Buffer lschen
   step=0;
   rest=wert;

   if (wert >=10000)	                        // Stellen nacheinander abfragen+zuordnen
   	{
   	ad=(rest / 10000);
   	outpbuf[step]=(48+ad);                    // 48 entspricht '0'
   	rest=rest-(10000*ad);
   	step++;
   	}
   	if (wert >=1000)
   	{
   	ad=(rest / 1000);
   	outpbuf[step]=(ad+48);
   	rest=rest-(1000*ad);
   	step++;
   	}
   	if (wert >=100)
   	{
   	ad=(rest / 100);
   	outpbuf[step]=ad+48;
   	rest=rest-(100*ad);
   	step++;
   	}

   	if (wert >=10)
   	{
   	ad=(rest / 10);
   	outpbuf[step]=ad+48;
   	rest=rest-(10*ad);
   	step++;
   	}
   	outpbuf[step]=(48+rest);
   	outpbuf[step+1]=0;                        // mit Null abschlieen !!
   	step++;
   	return (outpbuf);
 }

/***************************************************************************************************************
 *
 * Integer nach Hex umwandeln
 *
 ***************************************************************************************************************/
char* inttohex (unsigned int wert)
 {
   unsigned int puffer;
   char zeichen;

   puffer = wert & 0xf000;
   zeichen = puffer >> 12;
   zeichen += '0';
   if (zeichen > '9') zeichen += 7;
   outpbuf [0]=zeichen;                                // In Zeichenkette setzen

   puffer = wert & 0x0f00;
   zeichen = puffer >> 8;
   zeichen += '0';
   if (zeichen > '9') zeichen += 7;
   outpbuf [1]=zeichen;                                // In Zeichenkette setzen

   puffer = wert & 0x00f0;
   zeichen = puffer >> 4;
   zeichen += '0';
   if (zeichen > '9') zeichen += 7;
   outpbuf [2]=zeichen;                                // In Zeichenkette setzen

   puffer = wert & 0x000f;
   zeichen = puffer;
   zeichen += '0';
   if (zeichen > '9') zeichen += 7;
   outpbuf [3]=zeichen;                                // In Zeichenkette setzen

 	 outpbuf [4] = 0;                                    // Stringende setzen

   return (outpbuf);                                   // Zeiger zurckliefern
 }

