/*************************************************************************************************
 *
 * Globale Initialisierungen
 *
 *************************************************************************************************/
void Init (void)
 {

   PORTA=0;
   PORTB=0;
   PORTC=0;
   PORTD=0;
   PORTE=0;

   /************
     1 = Input
     0 = Output
    ************/

   TRISA = 0b11111111;  // Port A 1 = Input
   TRISB = 0b11111111;  // Port B
   TRISC = 0b10111011;  // Port C
   TRISD = 0b00000000;  // Port D
   TRISE = 0b00000001;  // Port E

   // PWM-Grundeinstellung
   PR2 = 0xff;									                 // konfiguriere Timer2 and CCP1 for
   T2CON = 0x15;									          		 // 4.88Khz PWM @ 20MHz  (15)
   CCPR1L = 255;									          		 // initial duty cycle 100%
   CCP1CON = 0x0f;

   // Timer 1 als Systemticker einrichten
   TMR1IE=1;									                  // enable Interrupt of TMR1
   T1CON=49;									                  // Prescaler=1:8 + Timer on (49)

   // Timer 0 als Zhler fr die Waage
   // T0CON = 0b10111000;                          // Timer als Zhler mit RA4 als Input
   // TMR0IE = 0;                                  // Kein Interrupt

   UART_Init ();                                // UART initialisieren

   // AD-Wandler-Einstellungen
   ADCON0 = 0x00;
   ADCON1 = 0x07;
   SMP=1;
   CKE=0;

   /*
 	 ADON = 1;	// enable A2D converter
 	 ADIE = 0;	// not interrupt driven
   CHS0 = 0;  // Kanal 0
   CHS1 = 0;
	 CHS2 = 0;

   ADCS2 = 1;
   ADCS1 = 1;
   ADCS0 = 0;

   PCFG3 = 0; // Ref = Betriebsspannung
   PCFG2 = 0;
   PCFG1 = 0;
   PCFG0 = 0;

   ADFM = 1;  // Rechts justiert
   */

   //alle Interrupts an
   PEIE=1;          							                // Peripherie Int=on
   GIE=1;										                      // Define Interupts

   // put_string_usart ("Ms. Coffee\n\r");

   // Warten, bis der Timer-Interrupt einmal aufgelaufen ist
   Delayms (20);

   // Startmeldung


 }
